import * as $dara from '@darabonba/typescript';
import { DescribeCloudVendorProductTemplateConfigResponseBody } from "./DescribeCloudVendorProductTemplateConfigResponseBody";
export declare class DescribeCloudVendorProductTemplateConfigResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: DescribeCloudVendorProductTemplateConfigResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
